import request from '@/utils/request'
const wecom = window.lwConfig.services.wecom
const service = wecom + '/moments'


// 朋友圈 列表
export function momentsList(data) {
  return request({
    url: service + '/mobile/list',
    params: data,
  })
}
// 朋友圈 详情
export function momentsDetail(id) {
  return request({
    url: service + '/mobile/get/' + id,
  })
}

// 成员群发类型任务，员工完成任务
export function momentsFinish(data) {
  return request({
    url: service + '/group/send/finish',
    method: 'post',
    data,
  })
}
