import request from '@/utils/request'
const wecom = window.lwConfig.services.wecom
const service = wecom + '/qi'

export function getWeeklyDetail(id) {
  return request({
    url: service + '/weekly/getDetail/' + id
  })
}

export function getWeeklyMemeberList(id, data) {
  return request({
    url: service + '/weekly/detail/list/' + id,
    params: data
  })
}

export function getNoticeList(data) {
  return request({
    url: service + '/notice/list',
    params: data
  })
}

export function getRuleList(data) {
  return request({
    url: service + '/list',
    params: data
  })
}

export function setState(id) {
  return request({
    url: service + '/notice/update/replyStatus/' + id,
    method: 'put'
  })
}
