import request from '@/utils/request'
const wecom = window.lwConfig.services.wecom
const service = wecom + '/sop'

// 工作台 今日客户sop
export function customerSopList() {
  return request({
    url: service + '/findWeCustomerSop',
  })
}

// 工作台 今日客群SOP
export function groupSopList() {
  return request({
    url: service + '/findTodayGroupSop',
  })
}

// 侧边栏 客户sop
export function getCustomerSopContent(data) {
  return request({
    url: service + '/findCustomerSopContent',
    params: data
  })
}

// 侧边栏 客群sop
export function getGroupSopContent(data) {
  return request({
    url: service + '/findGroupSopContent',
    params: data
  })
}

// 发送成功
export function getSuccess(id) {
  return request({
    url: service + '/executeSop/' + id,
    method: 'post'
  })
}