const env = require('../env')
// import env from '../env'
// 系统常量
const common = {
  SYSTEM_NAME: '冠客助手',
  // SYSTEM_NAME_ALL: '科技 企业微信SCRM',
  // COMPANY_NAME: '科技',
  // COMPANY_NAME_ALL: '科技',
  // COPYRIGHT: 'Copyright © 2018-2022 LinkWeChat All Rights Reserved.',
  // LOGO_DARK: env.BASE_URL + 'static/LOGO_DARK.png',
  // LOGO_LIGHT: env.BASE_URL + 'static/LOGO_LIGHT.png',
  // LOGO_TEXT_DARK: env.BASE_URL + 'static/LOGO_TEXT_DARK.png',
  // LOGO_TEXT_LIGHT: env.BASE_URL + 'static/LOGO_TEXT_LIGHT.png',
  // QRCODE_CONTACT_US: env.BASE_URL + 'static/QRCODE_CONTACT_US.png',
  // QRCODE_CUSTOMER_SERVICE: env.BASE_URL + 'static/QRCODE_CUSTOMER_SERVICE.png',
  // IS_PUBLISH_DIALOG: true, // 是否显示发布弹窗
  DEFAULT_H5_PIC: env.BASE_URL + 'static/PIC.png',
  DEFAULT_H5_ART: env.BASE_URL + 'static/ARTICAL.png', // 文章默认封面
  DEFAULT_H5_TP: env.BASE_URL + 'static/TEXT_PIC.png', // 图文默认封面
  DEFAULT_H5_PDF: env.BASE_URL + 'static/PDF.png', // pdf默认封面
  DEFAULT_H5_WORDE: env.BASE_URL + 'static/WORD.png',
  DEFAULT_H5_PPT: env.BASE_URL + 'static/PPT.png',
  DEFAULT_H5_COLLECT: env.BASE_URL + 'static/COLLECT.png', // 收集表默认封面
  TOKEN: '', // 本地开发调试用的token，仅本地开发环境生效
  PRIVACY_POLICY: env.BASE_URL + 'static/yszc.pdf', // 隐私政策
  // IS_VCONSOLE: process.env.VUE_APP_ENV !== 'production', // 是否显示VCONSOLE
  PRIVIEW_URL: 'https://www.ascrm.cn/fileView/onlinePreview?url=', // kkfileview，素材预览服务地址
}

let config = {
  // cookieExpires: 1, //token在Cookie中存储的天数，默认1天
  services: {
    wecom: '/open',
    weChat: '/wx-api',
  },
}

// 以下仅用于系统信息展示，不作为项目变量使用，请勿在代码中使用
const project = {
  _version: '5.x', // 当前版本信息
  _packageTime: process.env.VUE_APP_PACKETTIME, // 打包时间
  _env: process.env.VUE_APP_ENV, // 前端系统环境模式
}

globalThis.lwConfig = Object.assign(env, common, globalThis.lwConfig || {}, config, project)
// document.title = globalThis.lwConfig.SYSTEM_NAME

module.exports = common
