import request from '@/utils/request'
// const wecom = window.lwConfig.services.wecom
// const service = wecom + '/groupCode'
const weChat = window.lwConfig.services.weChat

// 通过群活码UUID获取群活码详情及可用的实际群码
export function getDetail(uuid) {
  return request({
    url: weChat + '/groupCode/getActualCode/' + uuid,
  })
}

// 获取新客自动拉群详情
export function getNewCustomerGroupDetail(id) {
  return request({
    url: weChat + '/groupCode//findWeCommunityNewGroupById/' + id,
  })
}

// 门店活码获取   storeCodeType： 1：门店导购码  2：门店群活码
export function getCodeInStore(params) {
  return request({
    url: weChat + '/storeCode/findStoreCode',
    params,
  })
}

// 门店活码基础数据   storeCodeType： 1：门店导购码  2：门店群活码
export function getCodeBase(params) {
  return request({
    url: weChat + '/storeCode/findWeStoreCodeConfig',
    params,
  })
}

export function recordCode(data) {
  return request({
    url: weChat + '/storeCode/countUserBehavior',
    method: 'post',
    data,
  })
}
